using System;
using System.Linq;
using System.Runtime.InteropServices;
using System.Security.Permissions;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Security;
using AddinExpress.SharePoint;

namespace ContextualGroupsExample.Features.MyContextRibbonUI
{
    /// <summary>
    ///  Ribbon Designer for SharePoint and Office 365
    /// </summary>
    public partial class MyContextRibbonUI : AddinExpress.SharePoint.ADXSPRibbon
    {
        private void adxspRibbonToggleButton1_OnAction(object sender, ADXSPToggleButtonActionEventArgs e)
        {
            // This event is not supported in sandboxed solutions.

            adxspRibbonContextualGroup1.Visible = e.Pressed;

            if (e.Pressed)
                adxspRibbonToggleButton1.Caption = "Hide Static Contextual Group";
            else
                adxspRibbonToggleButton1.Caption = "Show Static Contextual Group";
        }
    }

}
